package com.ruoyi.ems.service;

import com.ruoyi.ems.domain.DevcType;

import java.util.List;

/**
 * 设备类型Service接口
 *
 * @author ruoyi
 * @date 2024-08-05
 */
public interface IDevcTypeService {
    /**
     * 查询设备类型
     *
     * @param id 设备类型主键
     * @return 设备类型
     */
    DevcType selectDevcTypeById(Long id);

    /**
     * 查询设备类型列表
     *
     * @param devcType 设备类型
     * @return 设备类型集合
     */
    List<DevcType> selectDevcTypeList(DevcType devcType);

    /**
     * 新增设备类型
     *
     * @param devcType 设备类型
     * @return 结果
     */
    int insertDevcType(DevcType devcType);

    /**
     * 修改设备类型
     *
     * @param devcType 设备类型
     * @return 结果
     */
    int updateDevcType(DevcType devcType);

    /**
     * 批量删除设备类型
     *
     * @param ids 需要删除的设备类型主键集合
     * @return 结果
     */
    int deleteDevcTypeByIds(Long[] ids);

    /**
     * 删除设备类型信息
     *
     * @param id 设备类型主键
     * @return 结果
     */
    int deleteDevcTypeById(Long id);
}
